ApiSettings
Update user preferences
Update current user's UI preferences. Supports partial updates. This is an API-only endpoint for programmatic access — no frontend UI currently consumes it.
Authorization
User API Key AuthorizationBearer <token>
User API key (mgw_usr_live_* or mgw_usr_test_*)
In: header
Cookie Parameters
access_token?|
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://loading/api/v1/settings/preferences" \ -H "Content-Type: application/json" \ -d '{}'{
"theme": "string",
"default_page": "string",
"locale": "string",
"items_per_page": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Update notification settings
Update the current user's notification preferences. Supports partial updates - only provided fields are changed. This is an API-only endpoint for programmatic access — no frontend UI currently consumes it.
Complete setup
Complete the initial setup and enable authentication. Requires at least one OAuth provider to be configured.
